Subject: Re: I-D ACTION:draft-aoun-v6ops-natpt-deprecate-00.txt

From: [email-masked]
Date: Thu, 23 Sep 2004 12:01:25 -0700 (GMT-07:00)

-----Original Message-----
>I do agree with this draft and I think it pretty much covers
>the arguments, so I only have a couple of minor comments:

I agree that this was well written and informative. 2 points and 2 grammar nits.

1. section 2.4  Loss of Information through Incompatible Semantics

Isn't this true even if NAT is not used when going between IPv4 and IPv6 to some degree? While I think its a good point I think a statement to this affect is a warranted.

2. UDP checksums == 0. I do not know how prevalent this behaviour is today, but if applications trust the network enough to not checksum, then they deserve the added delay. In fact, if a NAT dropped such messages I would not lose any sleep, due to the numerous problems this can create on a NAT box. But I think the text should state that sending datagrams into the Internet unchecksummed is not advisable and use that as a solution. In other words, I think the document should lessen the concern regarding this issue, since it raises so many other concerns that are really germane to point of the document.

2 grammar nitpicks, both on page 15:  "the the" and "ifit"

--rich